Bug 1130490 - java-1.8.0-openjdk: src.zip is incomplete
Summary: java-1.8.0-openjdk: src.zip is incomplete
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: java-1.8.0-openjdk
Version: 20
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Omair Majid
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-15 11:56 UTC by Florian Weimer
Modified: 2018-09-26 17:40 UTC (History)
4 users (show)

Fixed In Version: java-1.8.0-openjdk-1.8.0.25-2.b18.fc21
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-11-10 06:09:38 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
openjdk bug system JDK-8044235 None None None 2018-09-26 17:40:46 UTC

Description Florian Weimer 2014-08-15 11:56:10 UTC
Description of problem:

Many JDK classes are missing from src.zip.

Version-Release number of selected component (if applicable):

java-1.8.0-openjdk-src-1.8.0.11-1.b12.fc20.x86_64

How reproducible:

Always

Steps to Reproduce:
1. unzip -v /usr/lib/jvm/java-1.8.0-openjdk-1.8.0.11.x86_64/src.zip | grep Unsafe

Actual results:

No output.

Expected results:

A source file called sun/misc/Unsafe.java is expected in the output.

Additional info:

IIRC, previous OpenJDK versions lacked sources for langtools and some cryptography-related classes, but this lack of source code is new.

Comment 1 Deepak Bhole 2014-08-15 20:21:37 UTC
This is intentional -- those sources were never part of src.zip. From the JDK7 README at http://www.oracle.com/technetwork/java/javase/jdk-7-readme-429198.html:

"(In src.zip) Java programming language source files for all classes that make up the Java core API (that is, sources files for the java.*, javax.* and some org.* packages, but not for com.sun.* packages)."

Comment 2 Deepak Bhole 2014-08-15 20:37:05 UTC
Re-opening. Omair just pointed out to me that we modify the RPM to add those sources, so the should be getting packaged:

http://pkgs.fedoraproject.org/cgit/java-1.8.0-openjdk.git/commit/?id=866fc806cae6cde4d4aa398db58852c4d358aad5

Comment 3 Omair Majid 2014-08-15 21:04:29 UTC
(In reply to Deepak Bhole from comment #2)
> http://pkgs.fedoraproject.org/cgit/java-1.8.0-openjdk.git/commit/
> ?id=866fc806cae6cde4d4aa398db58852c4d358aad5

This fix is in F21 and Rawhide, but not in F20 (or F19). I will add it there and rebuild.

Comment 4 Fedora Update System 2014-08-16 17:22:59 UTC
java-1.8.0-openjdk-1.8.0.11-8.b12.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/java-1.8.0-openjdk-1.8.0.11-8.b12.fc20

Comment 5 Fedora Update System 2014-08-19 07:05:31 UTC
Package java-1.8.0-openjdk-1.8.0.11-8.b12.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing java-1.8.0-openjdk-1.8.0.11-8.b12.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-9537/java-1.8.0-openjdk-1.8.0.11-8.b12.fc20
then log in and leave karma (feedback).

Comment 6 Fedora Update System 2014-08-21 09:44:41 UTC
java-1.8.0-openjdk-1.8.0.11-8.b12.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 7 Florian Weimer 2014-10-20 16:17:40 UTC
This has regressed recently in F20 at least:

$ rpm -qf /usr/lib/jvm/java-1.8.0/src.zip
java-1.8.0-openjdk-src-1.8.0.25-0.b18.fc20.x86_64
$ jar tf /usr/lib/jvm/java-1.8.0/src.zip | grep Unsafe
$

Comment 8 Fedora Update System 2014-10-21 15:16:10 UTC
java-1.8.0-openjdk-1.8.0.25-1.b18.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/java-1.8.0-openjdk-1.8.0.25-1.b18.fc20

Comment 9 Fedora Update System 2014-10-22 08:53:08 UTC
Package java-1.8.0-openjdk-1.8.0.25-1.b18.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing java-1.8.0-openjdk-1.8.0.25-1.b18.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-13446/java-1.8.0-openjdk-1.8.0.25-1.b18.fc20
then log in and leave karma (feedback).

Comment 10 Fedora Update System 2014-10-27 09:40:32 UTC
java-1.8.0-openjdk-1.8.0.25-2.b18.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/java-1.8.0-openjdk-1.8.0.25-2.b18.fc19

Comment 11 Fedora Update System 2014-10-27 09:40:40 UTC
java-1.8.0-openjdk-1.8.0.25-2.b18.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/java-1.8.0-openjdk-1.8.0.25-2.b18.fc20

Comment 12 Fedora Update System 2014-10-27 09:40:46 UTC
java-1.8.0-openjdk-1.8.0.25-2.b18.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/java-1.8.0-openjdk-1.8.0.25-2.b18.fc21

Comment 13 Fedora Update System 2014-11-10 06:09:38 UTC
java-1.8.0-openjdk-1.8.0.25-2.b18.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.